### Class

# Foundry MenuSearchResult

#### Description

    final class Foundry.MenuSearchResult : Foundry.SearchResult
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundrySearchResult
- GObject

#### Constructors

###### foundry_menu_search_result_new

No description available.

#### Instance methods

###### foundry_menu_search_result_dup_menu_model

No description available.

since: 1.1

###### foundry_menu_search_result_get_index

No description available.

##### Methods inherited from FoundrySearchResult (6)

###### foundry_search_result_create_intent

Create an intent for the search result.

since: 1.1

###### foundry_search_result_dup_icon

No description available.

###### foundry_search_result_dup_subtitle

No description available.

###### foundry_search_result_dup_title

No description available.

###### foundry_search_result_get_use_underline

Gets whether the search result should use underline.

since: 1.1

###### foundry_search_result_load

Loads the contents of the search result.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundrySearchResult (4)

###### Foundry.SearchResult:icon

No description available.

###### Foundry.SearchResult:subtitle

No description available.

###### Foundry.SearchResult:title

No description available.

###### Foundry.SearchResult:use-underline

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryMenuSearchResultClass {
      FoundrySearchResultClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundrySearchResultClass`

  No description available.